Bug 485186 - (perl-MouseX-Types) Review Request: perl-MouseX-Types - Organize your Mouse types in libraries
Review Request: perl-MouseX-Types - Organize your Mouse types in libraries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MouseX-Types
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 02:10 EST by Chris Weyl
Modified: 2010-08-30 13:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 15:38:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-02-12 02:10:24 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MouseX-Types.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MouseX-Types-0.01-0.fc10.src.rpm

Description:
Organize your Mouse types; much as MooseX::Types does for your Moose types.
For more information, please see the MooseX::Types manpage.

This library was split off from Mouse as of Mouse 0.15.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1120938
Comment 1 Parag AN(पराग) 2009-02-12 03:30:29 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1120998
- rpmlint is NOT silent for RPM.
perl-MouseX-Types.noarch: W: incoherent-version-in-changelog 0.01-1 ['0.01-0.fc11', '0.01-0']
== >easy to fix at cvs import.
+ source files match upstream url
8c375c45aa73397c40ac58054d3ca734  MouseX-Types-0.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=48,  1 wallclock secs ( 0.01 usr  0.02 sys +  0.23 cusr  0.03 csys =  0.29 CPU)
+ Package perl-MouseX-Types-0.01-0.fc11 =>
  Provides: perl(MouseX::Types) = 0.01 perl(MouseX::Types::Base) perl(MouseX::Types::Mouse) perl(MouseX::Types::TypeDecorator)
  Requires: perl(Data::Dumper) perl(Mouse::Util::TypeConstraints)
 perl(MouseX::Types) perl(MouseX::Types::TypeDecorator) perl(Scalar::Util) perl(strict) perl(warnings)

Suggestions:
1) Fix Release tag in spec

APPROVED.
Comment 2 Chris Weyl 2009-02-12 03:36:41 EST
New Package CVS Request
=======================
Package Name: perl-MouseX-Types
Short Description: Organize your Mouse types in libraries
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-02-13 02:00:36 EST
cvs done.
Comment 4 Chris Weyl 2009-02-13 15:38:23 EST
Thanks for the review! :-)
Comment 5 Mark Chappell 2010-08-30 13:17:27 EDT
Package Change Request
======================
Package Name: perl-MouseX-Types
New Branches: EL-6
Owners: tremble iarnell

cweyl has previously suggested that he's happy for others to maintain the EPEL branches
Comment 6 Kevin Fenzi 2010-08-30 13:23:24 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.